zgloribamu.cz - Upgrade na novější verzi - Chyba

TomasVac
08. čec 2018 20:44 - 08. čec 2018 20:46 #136554
Dobrý den,
po reinstalaci Joomly z verze 3.3 na nejnovější verzi Joomla! 3.8.10 Stable mi píše výstup na hlavní stránce zgloribamu.cz:

Warning: require_once(/data/web/virtuals/79406/virtual/www/libraries/joomla/object/object.php): failed to open stream: No such file or directory in /data/web/virtuals/79406/virtual/www/components/com_tz_guestbook/libraries/categories.php on line 23

Fatal error: require_once(): Failed opening required '/data/web/virtuals/79406/virtual/www/libraries/joomla/object/object.php' (include_path='.:/data/web/virtuals/79406/virtual') in /data/web/virtuals/79406/virtual/www/components/com_tz_guestbook/libraries/categories.php on line 23

Nejspíš jsem špatně přeinstaloval jádro Joomly.
Zálohu webu bohužel nemám. Je možnost, jak Joomlu opravit? Popř. jak rozjet nejnovější verzi?
Na serveru mi běží PHP verze 7.0.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od H13
08. čec 2018 20:56 #136555
Chyby jsou v komponentě: com_tz_guestbook

Takže zkus hledat tam: updatovat nebo nahradit jinou komponentou.

Odkazuje na soubory, které v Joomle! neexistují:
libraries/joomla/object/object.php

Phoca Gallery - http://www.phoca.cz/phocagallery - obrázková galerie (Joomla!)
Phoca Guestbook - http://www.phoca.cz/phocaguestbook - kniha návštěv (Joomla!)
Phoca Download - http://www.phoca.cz/phocadownload - stahování souborů (Joomla!)
Phoca Cart - http://www.phoca.cz/phocacart - e-shop,...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 09:31 - 09. čec 2018 09:32 #136560
Jak to prosím provedu? Bylo by možné mě navést přes vzdálenou plochu? Popř. kdybych Vám sdělil přístupy pro web zgloribamu.cz - za menší úplatu když mě navedete na správný postup :)

Děkuji
Tomáš Václavík

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 09:56 - 09. čec 2018 10:07 #136562
Pokusil jsem se doinstalovat z balíčku Phoca Gallery (Modul se nainstaloval), ale vypisuje chybovou hlášku, když chci udělat nějaký krok v administraci Joomly.

Když se pokusím cokoliv změnit v administraci joomly, vyskočí mi výstup s touto hláškou:

Warning: require_once(/data/web/virtuals/79406/virtual/www/administratorDScomponentsDScom_phocagalleryDSlibrariesDSloader.php): failed to open stream: No such file or directory in /data/web/virtuals/79406/virtual/www/plugins/content/phocagallery/phocagallery.php on line 20

Fatal error: require_once(): Failed opening required '/data/web/virtuals/79406/virtual/www/administratorDScomponentsDScom_phocagalleryDSlibrariesDSloader.php' (include_path='.:/data/web/virtuals/79406/virtual:/data/web/virtuals/79406/virtual/www/plugins/system/visualeditor/TidioElementsParser/phpQuery/:/data/web/virtuals/79406/virtual/www/plugins/system/visualeditor/TidioElementsParser/phpQuery/plugins/') in /data/web/virtuals/79406/virtual/www/plugins/content/phocagallery/phocagallery.php on line 20

Je potřeba připojit se přes FTP a moduly nějak ručně odinstalovat? Popř, hodit Joomlu do továrního nastavení nějakým způsobem, abych si to mohl vše doinstalovat zpětně?

Začalo to dělat, když jsem aktualizoval Joomlu z verze 3.3 na verzi 3.8.1 Stable.
Chyba by mohla být klidně i v šabloně, ale nevím, jak ji teď můžu změnit na nějakou klasickou, když mi nefunguje administrace?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od zpetr
09. čec 2018 11:19 - 09. čec 2018 11:20 #136564
Ten skok ve verzích je dost velký tak pro zichr.
Obnovte původní stav ze zálohy (přes FTP) a vyzkoušejte postupně aktualizovat na localhostu.
Pak to jen hotové přenesete.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Houbák
09. čec 2018 14:28 #136567
A proč do toho pletele Phoca Gallery? Původní chyba byla způsobená rozšířením com_tz_guestbook.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 15:09 #136569
Dobrý den,
první chyba byla způsobená rozšířením com_tz_guestbook, který se mi stále nedaří odinstalovat. PhocaGallery mi také přestala fungovat a díky ní nemůžu provádět žádné kroky v administraci systému. Když kliknu na cokoliv v administraci Joomly, vypíše mi to hlášku :

Warning: require_once(/data/web/virtuals/79406/virtual/www/administratorDScomponentsDScom_phocagalleryDSlibrariesDSloader.php): failed to open stream: No such file or directory in /data/web/virtuals/79406/virtual/www/plugins/content/phocagallery/phocagallery.php on line 20

Fatal error: require_once(): Failed opening required '/data/web/virtuals/79406/virtual/www/administratorDScomponentsDScom_phocagalleryDSlibrariesDSloader.php' (include_path='.:/data/web/virtuals/79406/virtual:/data/web/virtuals/79406/virtual/www/plugins/system/visualeditor/TidioElementsParser/phpQuery/:/data/web/virtuals/79406/virtual/www/plugins/system/visualeditor/TidioElementsParser/phpQuery/plugins/') in /data/web/virtuals/79406/virtual/www/plugins/content/phocagallery/phocagallery.php on line 20

Nevíte, kde může být problém? Myslel jsem, že to bude díky nekompatibilní verzi PhocaGallery, ale chyba se zobrazuje pořád. Chtěl jsem balíček aktualizovat na nejnovější, ale chyba zůstává.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od H13
09. čec 2018 15:11 #136570
Jakou verzi:

- Joomly!
- Phoca Gallery komponenty
- Phoca Gallery pluginu

jsi nainstaloval?

Phoca Gallery - http://www.phoca.cz/phocagallery - obrázková galerie (Joomla!)
Phoca Guestbook - http://www.phoca.cz/phocaguestbook - kniha návštěv (Joomla!)
Phoca Download - http://www.phoca.cz/phocadownload - stahování souborů (Joomla!)
Phoca Cart - http://www.phoca.cz/phocacart - e-shop,...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 15:12 #136571
Dobrý den,
problém je v tom, že nemám zálohu na FTP.

Jediné řešení, které vidím, je aktualizovat ze zálohy webhostingu za poplatek 500 Kč (wedos) a nastavit verzi PHP na serveru zpět na 5.3 (staré) :(

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 15:15 #136572
Verze Joomly: Joomla! 3.8.10 Stable
Verze PhocaGallery: 4.3.10

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od zpetr
09. čec 2018 15:19 #136573
no a není to tím přepnutým PHP ? Neudelala zálohu akeba backup při aktualizaci ? nebo ji také pro jistotu nemáte?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 15:23 #136575
Nová verze PHP mi na ostatních webech funguje. Ale u Joomly se to nepovedlo. Teď na hostingu běží PHP 7.0 - předtím tam bylo staré 5.3. Při aktualizaci na nejnovější verzi Joomly jsem si neudělal zálohu a o akeba backup jsem se dozvěděl až tady na fóru :(

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od H13
09. čec 2018 15:26 #136576

Verze PhocaGallery: 4.3.10

Phoca Gallery Plugin nemá verzi 4.3.10 :idea:

Phoca Gallery - http://www.phoca.cz/phocagallery - obrázková galerie (Joomla!)
Phoca Guestbook - http://www.phoca.cz/phocaguestbook - kniha návštěv (Joomla!)
Phoca Download - http://www.phoca.cz/phocadownload - stahování souborů (Joomla!)
Phoca Cart - http://www.phoca.cz/phocacart - e-shop,...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od TomasVac
09. čec 2018 15:27 #136578
Nainstaloval jsem verzi Joomly 3.8.10 Stable a ta nepodporuje starší PHP 5.3 - tak jsem to musel přepnout na novější.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od H13
09. čec 2018 15:29 #136579
Na tom serveru byla zastaralá verze Phoca Gallery pluginu, ten jsem upgradoval a vše ohledně Phoca Gallery je tam OK, to stejný udělaj s tím guestbookem.

Phoca Gallery - http://www.phoca.cz/phocagallery - obrázková galerie (Joomla!)
Phoca Guestbook - http://www.phoca.cz/phocaguestbook - kniha návštěv (Joomla!)
Phoca Download - http://www.phoca.cz/phocadownload - stahování souborů (Joomla!)
Phoca Cart - http://www.phoca.cz/phocacart - e-shop,...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.